describe('Rutas abm chofer', function() {

    var route;

    beforeEach(function() {
        module('focaAbmChofer');
        inject(function($route) {
            route = $route; 
        });
    });

    it('ruta /chofer redirecciona correctamente', function() {
        //assert
        expect(route.routes['/chofer'].controller)
            .toBe('focaAbmChoferesController');
        expect(route.routes['/chofer'].templateUrl)
            .toBe('src/views/foca-abm-choferes-listado.html');
    });

    it('ruta /chofer/:id/:idTransportista redirecciona correctamente', function() {
        //assert
        expect(route.routes['/chofer/:id/:idTransportista'].controller)
            .toBe('focaAbmChoferController');
        expect(route.routes['/chofer/:id/:idTransportista'].templateUrl)
            .toBe('src/views/foca-abm-choferes-item.html');
    });
});
